import http from './http.js'
const request = http.request
// 销售总会list
export function summaryTrade(data) {
	return request({
		url: '/api/summary/trade',
		method: 'post',
		data: {
			...data
		}
	})
}
// 销售排行榜
export function dateProduct(params) {
	return request({
		url: '/api/summary/dateProduct',
		method: 'get',
		params
	})
}
// 桌型列表
export function callTable(params) {
	return request({
		url: '/callTable',
		method: 'get',
		params
	})
}
// 排队列表
export function callTablequeue(params) {
	return request({
		url: '/callTable/queue',
		method: 'get',
		params
	})
}
// 取号
export function callTabletakeNumber(data) {
	return request({
		url: '/callTable/takeNumber',
		method: 'post',
		data: {
			...data
		}
	})
}

export function callTablecallRecord(params) {
	return request({
		url: '/callTable/callRecord',
		method: 'get',
		params
	})
}
export function callTableput(data) {
	return request({
		url: `/callTable/updateState`,
		method: "put",
		data
	});
}
// 叫号
export function callTablecall(data) {
	return request({
		url: `/callTable/call`,
		method: 'post',
		data
	});
}